Skip to main content
POST
/
v1
/
messages
Envia uma mensagem WhatsApp para um lead
curl --request POST \
  --url https://api.superlead.app/v1/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "<string>"
}
'
{
  "id": "<string>",
  "wamid": "<string>",
  "external_id": "<string>",
  "to": "<string>",
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

Chave de API (sl_live_...)

Headers

Idempotency-Key
string

Body

application/json
to
string
required
type
enum<string>
required
Available options:
text,
template,
image,
video,
audio,
document,
sticker,
location,
contacts,
interactive,
reaction
external_id
string
Required string length: 1 - 255
context
object
text
object
template
object
image
object
video
object
audio
object
document
object
sticker
object
location
object
contacts
object[]
Minimum array length: 1
interactive
object
reaction
object

Response

Mensagem aceita pelo canal

id
string
required
wamid
string | null
required
external_id
string | null
required
to
string | null
required
type
enum<string>
required
Available options:
text,
template,
image,
video,
audio,
document,
sticker,
location,
contacts,
interactive,
reaction
status
enum<string>
required
Available options:
accepted,
held_for_quality_assessment,
paused,
sent,
delivered,
read,
failed
created_at
string
required